Package: org.apache.groovy.jsondirect

## [Java] Class DirectFastStringService

- org.apache.groovy.jsondirect.DirectFastStringService

- All Implemented Interfaces and Traits:
    FastStringService

      public class DirectFastStringService

  Internal class for fast processing of Strings during JSON parsing - direct field writing version. Works for JDK 7 and 8 but uses the Unsafe mechanism of Java.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `noCopyStringFromChars(char[] chars)`
    `` | `char[]` | `toCharArray(String string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public String noCopyStringFromChars(char[] chars)

    - #### @Override public char[] toCharArray(String string)